package com.usoftchina.uas.office.dingtalk.manage.entity;

/**
 * @author yingp
 * @date 2020/2/15
 */
public class DingTalkAgent {
    private String code;
    private Long agentId;
    private String appKey;
    private String description;
    private String appSecret;
    /**
     * 应用外网地址
     */
    private String outerUrl;

    public DingTalkAgent() {
    }

    public DingTalkAgent(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getOuterUrl() {
        return outerUrl;
    }

    public void setOuterUrl(String outerUrl) {
        this.outerUrl = outerUrl;
    }
}
